## cstore-fdw 1.6.2

=== Makefile ===
# cstore_fdw/Makefile
#
# Copyright (c) 2016 Citus Data, Inc.
#

MODULE_big = cstore_fdw

PG_CPPFLAGS = --std=c99
SHLIB_LINK = -lprotobuf-c
OBJS = cstore.pb-c.o cstore_fdw.o cstore_writer.o cstore_reader.o \
       cstore_metadata_serialization.o cstore_compression.o

EXTENSION = cstore_fdw
DATA = cstore_fdw--1.6.sql cstore_fdw--1.5--1.6.sql cstore_fdw--1.4--1.5.sql \
	   cstore_fdw--1.3--1.4.sql cstore_fdw--1.2--1.3.sql cstore_fdw--1.1--1.2.sql \
	   cstore_fdw--1.0--1.1.sql

REGRESS = create load query analyze data_types functions block_filtering drop \
		  insert copyto alter truncate
EXTRA_CLEAN = cstore.pb-c.h cstore.pb-c.c data/*.cstore data/*.cstore.footer \
              sql/block_filtering.sql sql/create.sql sql/data_types.sql sql/load.sql \
              sql/copyto.sql expected/block_filtering.out expected/create.out \
              expected/data_types.out expected/load.out expected/copyto.out

ifeq ($(enable_coverage),yes)
	PG_CPPFLAGS += --coverage
	SHLIB_LINK  += --coverage
	EXTRA_CLEAN += *.gcno
endif

#
# Users need to specify their Postgres installation path through pg_config. For
# example: /usr/local/pgsql/bin/pg_config or /usr/lib/postgresql/9.3/bin/pg_config
#

PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

ifndef MAJORVERSION
    MAJORVERSION := $(basename $(VERSION))
endif

ifeq (,$(findstring $(MAJORVERSION), 9.3 9.4 9.5 9.6 10 11))
    $(error PostgreSQL 9.3 or 9.4 or 9.5 or 9.6 or 10 or 11 is required to compile this extension)
endif

cstore.pb-c.c: cstore.proto
	protoc-c --c_out=. cstore.proto

installcheck: remove_cstore_files

remove_cstore_files:
	rm -f data/*.cstore data/*.cstore.footer

=== debian/changelog ===
cstore-fdw (1.6.2-2~9.git82e61d8.pgdg100+1) buster-pgdg; urgency=medium

  * Rebuild for buster-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 07 Jun 2019 16:43:08 +0200

cstore-fdw (1.6.2-2) UNRELEASED; urgency=medium

  * Add debian/gitlab-ci.yml.
  * debian/pgversions: Restrict to 9.3..11.
  * debian/rules: Ignore errors on clean.

 -- Christoph Berg <myon@debian.org>  Fri, 07 Jun 2019 16:43:08 +0200

cstore-fdw (1.6.2-1) unstable; urgency=low

  * Initial release.

 -- Julian Schauder <julian.schauder@gmx.de>  Sun, 18 Nov 2018 12:39:12 +0100

=== debian/control ===
Source: cstore-fdw
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Julian Schauder <julian.schauder@gmx.de>,
Build-Depends:
 debhelper (>= 9),
 libprotobuf-c-dev,
 postgresql-server-dev-all (>= 153~),
 protobuf-c-compiler,
Standards-Version: 4.2.0
Homepage: https://github.com/citusdata/cstore_fdw
Vcs-Git: https://salsa.debian.org/postgresql/cstore-fdw.git
Vcs-Browser: https://salsa.debian.org/postgresql/cstore-fdw

Package: postgresql-9.4-cstore-fdw
Architecture: any
Depends:
 libprotobuf-c-dev,
 postgresql-9.4,
 ${misc:Depends},
 ${shlibs:Depends},
Description: PostgreSQL foreign data wrapper for columnar storage
 Cstore_fdw is a columnar store extension for PostgreSQL, implemented as a
 foreign data wrapper (FDW). Columnar stores provide notable benefits for
 analytics use cases where data is loaded in batches. Cstore_fdw's columnar
 nature delivers performance by only reading relevant data from disk, and it
 may compress data 6x-10x to reduce space requirements for data archival.
 .
 This package is for PostgreSQL 9.4.

Package: postgresql-9.5-cstore-fdw
Architecture: any
Depends:
 libprotobuf-c-dev,
 postgresql-9.5,
 ${misc:Depends},
 ${shlibs:Depends},
Description: PostgreSQL foreign data wrapper for columnar storage
 Cstore_fdw is a columnar store extension for PostgreSQL, implemented as a
 foreign data wrapper (FDW). Columnar stores provide notable benefits for
 analytics use cases where data is loaded in batches. Cstore_fdw's columnar
 nature delivers performance by only reading relevant data from disk, and it
 may compress data 6x-10x to reduce space requirements for data archival.
 .
 This package is for PostgreSQL 9.5.

Package: postgresql-9.6-cstore-fdw
Architecture: any
Depends:
 libprotobuf-c-dev,
 postgresql-9.6,
 ${misc:Depends},
 ${shlibs:Depends},
Description: PostgreSQL foreign data wrapper for columnar storage
 Cstore_fdw is a columnar store extension for PostgreSQL, implemented as a
 foreign data wrapper (FDW). Columnar stores provide notable benefits for
 analytics use cases where data is loaded in batches. Cstore_fdw's columnar
 nature delivers performance by only reading relevant data from disk, and it
 may compress data 6x-10x to reduce space requirements for data archival.
 .
 This package is for PostgreSQL 9.6.

Package: postgresql-10-cstore-fdw
Architecture: any
Depends:
 libprotobuf-c-dev,
 postgresql-10,
 ${misc:Depends},
 ${shlibs:Depends},
Description: PostgreSQL foreign data wrapper for columnar storage
 Cstore_fdw is a columnar store extension for PostgreSQL, implemented as a
 foreign data wrapper (FDW). Columnar stores provide notable benefits for
 analytics use cases where data is loaded in batches. Cstore_fdw's columnar
 nature delivers performance by only reading relevant data from disk, and it
 may compress data 6x-10x to reduce space requirements for data archival.
 .
 This package is for PostgreSQL 10.

Package: postgresql-11-cstore-fdw
Architecture: any
Depends:
 libprotobuf-c-dev,
 postgresql-11,
 ${misc:Depends},
 ${shlibs:Depends},
Description: PostgreSQL foreign data wrapper for columnar storage
 Cstore_fdw is a columnar store extension for PostgreSQL, implemented as a
 foreign data wrapper (FDW). Columnar stores provide notable benefits for
 analytics use cases where data is loaded in batches. Cstore_fdw's columnar
 nature delivers performance by only reading relevant data from disk, and it
 may compress data 6x-10x to reduce space requirements for data archival.
 .
 This package is for PostgreSQL 11.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Using pg_buildext
include /usr/share/postgresql-common/pgxs_debian_control.mk

export USE_PGXS=1

%:
	dh $@

override_dh_auto_build:

override_dh_auto_test:
	# nothing to do here, see debian/tests/* instead

override_dh_auto_install:
	+pg_buildext loop postgresql-%v-cstore-fdw

override_dh_installdocs:
	dh_installdocs --all README.*

override_dh_auto_clean:
	# ignore errors because the package doesn't like PG12's pg_config
	-dh_auto_clean

## cstore-fdw 1.7.0

=== Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
        cstore_metadata_serialization.o cstore_compression.o
 
 EXTENSION = cstore_fdw
-DATA = cstore_fdw--1.6.sql cstore_fdw--1.5--1.6.sql cstore_fdw--1.4--1.5.sql \
+DATA = cstore_fdw--1.7.sql cstore_fdw--1.6--1.7.sql  cstore_fdw--1.5--1.6.sql cstore_fdw--1.4--1.5.sql \
 	   cstore_fdw--1.3--1.4.sql cstore_fdw--1.2--1.3.sql cstore_fdw--1.1--1.2.sql \
 	   cstore_fdw--1.0--1.1.sql
 
@@ -28,6 +28,11 @@
 	EXTRA_CLEAN += *.gcno
 endif
 
+UNAME_S := $(shell uname -s)
+ifeq ($(UNAME_S),Darwin)
+	PG_CPPFLAGS += -I/usr/local/include
+endif
+
 #
 # Users need to specify their Postgres installation path through pg_config. For
 # example: /usr/local/pgsql/bin/pg_config or /usr/lib/postgresql/9.3/bin/pg_config
@@ -41,8 +46,8 @@
     MAJORVERSION := $(basename $(VERSION))
 endif
 
-ifeq (,$(findstring $(MAJORVERSION), 9.3 9.4 9.5 9.6 10 11))
-    $(error PostgreSQL 9.3 or 9.4 or 9.5 or 9.6 or 10 or 11 is required to compile this extension)
+ifeq (,$(findstring $(MAJORVERSION), 9.3 9.4 9.5 9.6 10 11 12))
+    $(error PostgreSQL 9.3 to 12 is required to compile this extension)
 endif
 
 cstore.pb-c.c: cstore.proto

=== debian/changelog ===
cstore-fdw (1.7.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version with PG12 support.
  * Add debian/gitlab-ci.yml.

 -- Christoph Berg <myon@debian.org>  Fri, 07 Jun 2019 16:43:08 +0200

=== debian/control ===
Source: cstore-fdw
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Julian Schauder <julian.schauder@gmx.de>,
Build-Depends:
 debhelper (>= 9),
 libprotobuf-c-dev,
 postgresql-server-dev-all (>= 153~),
 protobuf-c-compiler,
Standards-Version: 4.2.0
Homepage: https://github.com/citusdata/cstore_fdw
Vcs-Git: https://salsa.debian.org/postgresql/cstore-fdw.git
Vcs-Browser: https://salsa.debian.org/postgresql/cstore-fdw

Package: postgresql-12-cstore-fdw
Architecture: any
Depends:
 libprotobuf-c-dev,
 postgresql-12,
 ${misc:Depends},
 ${shlibs:Depends},
Description: PostgreSQL foreign data wrapper for columnar storage
 Cstore_fdw is a columnar store extension for PostgreSQL, implemented as a
 foreign data wrapper (FDW). Columnar stores provide notable benefits for
 analytics use cases where data is loaded in batches. Cstore_fdw's columnar
 nature delivers performance by only reading relevant data from disk, and it
 may compress data 6x-10x to reduce space requirements for data archival.
 .
 This package is for PostgreSQL 12.

=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,3 @@
 
 override_dh_installdocs:
 	dh_installdocs --all README.*
-
-override_dh_auto_clean:
-	# ignore errors because the package doesn't like PG12's pg_config
-	-dh_auto_clean

=== debian/watch ===
version=4
https://github.com/citusdata/cstore_fdw/releases .*/v(.*).tar.gz
